Skip to main content
POST
/
auth
/
organization
/
add-team-member
Add Organization Team Member
curl --request POST \
  --url https://cloud.kaneo.app/api/auth/organization/add-team-member \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "teamId": "<string>",
  "userId": "<string>",
  "organizationId": "<string>"
}
'
{
  "id": "<string>",
  "userId": "<string>",
  "teamId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
teamId
string
required

The team the user should be a member of.

userId
string
required

The user Id which represents the user to be added as a member.

organizationId
string | null

The organization ID which the team falls under. If not provided, it will default to the user's active organization.

Response

Team member created successfully

The team member

id
string
required

Unique identifier of the team member

userId
string
required

The user ID of the team member

teamId
string
required

The team ID of the team the team member is in

createdAt
string<date-time>
required

Timestamp when the team member was created